ur_rna.GUITester

## Class ScriptRunner

- java.lang.Object
- - ur_rna.GUITester.ScriptRunner

- All Implemented Interfaces:
    java.lang.Runnable

      public class ScriptRunner
      extends java.lang.Object
      implements java.lang.Runnable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private AppLog` | `_log`
    `private ParseException` | `_parseError`
    `private ScriptRuntimeException` | `_runError`
    `private Script` | `_src`
    `private GuiAppManager` | `_subjectApp`
    `private static boolean` | `TRACE_PARSE_TREE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptRunner(Script src, GuiAppManager subject, AppLog log)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exec(ScriptNode root)`
    `java.lang.Throwable` | `getError()`
    `ParseException` | `getParseError()`
    `ScriptRuntimeException` | `getRunTimeError()`
    `Script` | `getSource()`
    `boolean` | `hadError()`
    `ScriptNode` | `parse(boolean enableTracing)`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _log

          private AppLog _log

    - #### _parseError

          private ParseException _parseError

    - #### _runError

          private ScriptRuntimeException _runError

    - #### _src

          private Script _src

    - #### _subjectApp

          private GuiAppManager _subjectApp

    - #### TRACE_PARSE_TREE

          private static final boolean TRACE_PARSE_TREE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScriptRunner

          public ScriptRunner(Script src,
                              GuiAppManager subject,
                              AppLog log)

  - ### Method Detail

    - #### exec

          public void exec(ScriptNode root)
                    throws ScriptRuntimeException

      Throws:
        `ScriptRuntimeException`

    - #### getError

          public java.lang.Throwable getError()

    - #### getParseError

          public ParseException getParseError()

    - #### getRunTimeError

          public ScriptRuntimeException getRunTimeError()

    - #### getSource

          public Script getSource()

    - #### hadError

          public boolean hadError()

    - #### parse

          public ScriptNode parse(boolean enableTracing)
                           throws ParseException

      Throws:
        `ParseException`

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`